Множественные уязвимости в Sybase Adaptive Server Enterprise

Дата публикации:
03.10.2014
Дата изменения:
03.10.2014
Всего просмотров:
792
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
2
CVSSv2 рейтинг:
(AV:A/AC:M/Au:N/C:N/I:C/A:P/E:U/RL:OF/RC:C) = Base:6.4/Temporal:4.7
(AV:A/AC:M/Au:N/C:C/I:C/A:P/E:U/RL:OF/RC:C) = Base:7.6/Temporal:5.6
CVE ID:
CVE-2014-6283
Вектор эксплуатации:
Локальная сеть
Воздействие:
Обход ограничений безопасности
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Sybase Adaptive Server Enterprise 15.x
Уязвимые версии:
Sybase Adaptive Server Enterprise 15.0
Sybase Adaptive Server Enterprise 15.5
Sybase Adaptive Server Enterprise 15.7

Описание:
Уязвимости позволяют удаленному пользователю обойти ограничения безопасности и скомпрометировать целевую систему.

1. Уязвимость существует из-за наличия не задокументированной встроенной процедуры "hacmpmsgxchg()". Удаленный пользователь может, к примеру, перезаписать ключ шифрования администратора сервера.

2. Уязвимость существует из-за наличия не задокументированной встроенной процедуры "hacmpmsgxchg()". Удаленный пользователь может вызвать переполнение буфера в стеке и скомпрометировать целевую систему.

URL производителя: http://www.sybase.com/products/databasemanagement/adaptiveserverenterprise

Решение: Установите последнюю обновление SAP Note 2044220 с сайта производителя.

Ссылки: https://www3.trustwave.com/spiderlabs/advisories/TWSL2014-013.txt
http://blog.spiderlabs.com/2014/09/cve-2014-6283-sap-ase-missing-authorization-checks-and-arbitrary-code-execution.html